Subject: [netmod] Output of /netconf-state/schemas in RFC 6022

From: Rohit R Ranade <[email-masked]>
Date: Tue, 6 Jun 2017 15:02:21 +0000

Hi All,

In RFC 6022 :

2.1.3.  The /netconf-state/schemas Subtree

   The list of supported schema for the NETCONF server.

In RFC 7950:
      Section 5.6.4 Announcing Conformance Information in NETCONF

   With this mechanism, a client can cache the supported modules for a
   server and only update the cache if the "module-set-id" value in the
   <hello> message changes.

Whether "supported schema" , "supported module", "implemented module" all mean the same thing for YANG?

RFC 6022 need to list both modules and sub-modules. So whether we need to extend this rule to sub-modules? We need to list only those sub-modules of implemented modules ?

With Regards,
Rohit

---

From: Andy Bierman <[email-masked]>
Date: Tue, 6 Jun 2017 09:01:54 -0700

On Tue, Jun 6, 2017 at 8:02 AM, Rohit R Ranade <[email-masked]>
wrote:

> Hi All,
>
>
>
> In RFC 6022 :
>
>
>
> *2.1.3.  The /netconf-state/schemas Subtree*
>
>
>
>    The list of *supported schema* for the NETCONF server.
>

this usage is general meaning all modules used by the server -- not the
same as YANG

>
>
> In RFC 7950:
>
>       Section 5.6.4 *Announcing Conformance Information in NETCONF*
>
>
>
>    With this mechanism, a client can cache *the supported modules* for a
>
> Whether “supported schema” , “supported module”, “implemented module” all
> mean the same thing for YANG?
>

This probably means all modules used by the server -- not the same as
implemented vs. imported.

>
> RFC 6022 need to list both modules and sub-modules. So whether we need to
> extend this rule to sub-modules? We need to list only those sub-modules of
> implemented modules ?
>

list all modules and submodules

> Rohit
Andy

> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>
>